<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    tools:context=".liveVideo.VoiceSettingsActivity">

    <!-- 标题栏 -->
    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/voice_settings"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />
    </LinearLayout>

    <!-- 警告语音播放 -->
    <RelativeLayout
        android:id="@+id/rlWarningPlayback"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="16dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/warning_voice_playback"
            android:textSize="14dp"/>
        <!-- 原生Switch开关 -->
        <Switch
            android:id="@+id/swWarningVoice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:checked="true"
            android:layout_alignParentEnd="true"
            android:thumb="@drawable/thumb_switch_white"
            android:track="@drawable/track_selector" />

    </RelativeLayout>

    <!-- 警告语音内容 -->
    <RelativeLayout
        android:id="@+id/rlWarningContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="16dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/warning_voice_content"
            android:textSize="14dp"/>

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_alignParentEnd="true"
            android:src="@drawable/right_back"/>
    </RelativeLayout>

</LinearLayout>